Robotics Service Bus - Bug #460
Compact Event Formatting Style is Useless
Target version:

Description
Consider this:

event *Event[id = 6a19ae1d-669c-5bd6-b018-d77a7e7c27d1 type = std::string scope =
Scope[/example/server/request/methodError/], metaData = MetaData[senderld =
UUID[e1e60665-4e69-4448-a01c-a89ael0b4cb7d], creationTime = 1312042652325043, sendTime = 1312042652325282,
receiveTime = 1312042652334687, deliverTime = 1312042652334807, userTimes = {}, userInfos = {ServerRequestld:
6db9066e-bac7-11e0-9ae7-001aa0342d7d}]] at 0x2492c30

- Good: every datum has a label
- Bad: includes irrelevant info (such as object address in memory)
- Bad: way too verbose

The compact format of the Lisp logger looks like this:

2011-07-30T18:18:28.485102+02:00 E1E60665 #<EVENT /example/server/request/methodError/ T "bla" (3) 86453E61>

- Good: compact
- Bad: too cryptic

History

#1 - 10/18/2015 05:57 PM - J. Moringen

- Status changed from New to Closed

The compact style of the CL logger is usable.
